DEBUG=-g
#DEBUG = -g -fbacktrace -fcheck=all -Wall -ffpe-trap=precision,invalid,denormal,zero,overflow,underflow 
#DEBUG =  -g -fbacktrace -ffpe-trap=zero,ohverflow,underflow
#DEBUG = -fdefault-double-8 -fdefault-real-8 -freal-8-real-16 -g -ffpe-trap=invalid,zero 
all:
	gfortran $(DEBUG)  -O -static 2potsim_noskin.f                 -o ../bin/2potsim_noskin
	gfortran $(DEBUG)  -O -static 2potsim_skin.f                   -o ../bin/2potsim_skin
	gfortran $(DEBUG) -O -static 2potsim_skin_cyl.f                -o ../bin/2potsim_skin_cyl
	gfortran $(DEBUG) -O -static 2potsim_skin_parts.f             -o ../bin/2potsim_skin_parts
	gfortran $(DEBUG)  -O -static 2potsim_skin_spheres.f           -o ../bin/2potsim_skin_spheres
	gfortran $(DEBUG)  -O -static 2potsim_skin_spheresNN.f         -o ../bin/2potsim_skin_spheresNN
	gfortran $(DEBUG)  -O -static ccenter.f                        -o ../bin/ccenter
	gfortran $(DEBUG)  -O -static grid_asc2bin.f                   -o ../bin/grid_asc2bin
	cp              mat2phyl.pl                         ../bin/mat2phyl.pl
	gfortran $(DEBUG) -O -static mkapbsin-apbs-ot-0.3.2.f         -o ../bin/mkapbsin-apbs-ot-0.3.2
	gfortran $(DEBUG)  -O -static mkapbsin.f                       -o ../bin/mkapbsin
	gfortran $(DEBUG) -O -static mkdismx.f                        -o ../bin/mkdismx
	gfortran $(DEBUG) -O -static mkgridin.f                       -o ../bin/mkgridin
	gfortran $(DEBUG) -O -static mkkin.f                          -o ../bin/mkkin
	gfortran $(DEBUG)  -O -static mkuhbdin.f                       -o ../bin/mkuhbdin
	gfortran $(DEBUG) -O -static modeller2grin.f                  -o ../bin/modeller2grin
	gfortran $(DEBUG) -O -static n1potsim.f                       -o ../bin/n1potsim
	gfortran $(DEBUG)  -O -static nm1potsim.f                      -o ../bin/nm1potsim
	gfortran $(DEBUG)  -O -static npotsim.f                        -o ../bin/npotsim
	gfortran $(DEBUG) -O -static qdipsim.f                        -o ../bin/qdipsim
	gfortran $(DEBUG) -O -static smNextopred.f                    -o ../bin/smNextopred
	gfortran $(DEBUG) -O -static uhbd_asc2bin.f                   -o ../bin/uhbd_asc2bin
	gfortran $(DEBUG) -O -static whatif2uhbd.f                    -o ../bin/whatif2uhbd
	gfortran $(DEBUG) -O -static 2potsim_skin_spheresU.f   -o ../bin/2potsim_skin_spheresU
